error 1! on xampp 1.7.7. redhat [Solved]

Problems with the Linux version of XAMPP, questions, comments, and anything related.

error 1! on xampp 1.7.7. redhat [Solved]

Postby chevalierhamg » 12. November 2011 20:05

Hello, recently i've did an upgrade of 1.7.3a to 1.7.7, but, when i tried to restart the service i had this problem...

Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/sqlite.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/sqlite.so: cannot restore segment prot after reloc: Permission denied in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/pgsql.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/pgsql.so: cannot restore segment prot after reloc: Permission denied in Unknown on line 0
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Error 1! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
XAMPP: Starting ProFTPD...
XAMPP for Linux started.


But the worst problem it's that i can't reinstall the xampp for some configurations and politics of the enterprise.
I hope somebody can help me.

And thanks for your time.
chevalierhamg
 
Posts: 4
Joined: 12. November 2011 19:35
Operating System: Red Hat Enterprise Linux Serve

Re: error 1! on xampp 1.7.7. redhat

Postby JonB » 13. November 2011 03:28

A. - Did you install 'clean', removing XAMPP after backing up your 1.7.3 files and settings - then installing the new 1.7.7 version?

B. - Did you edit the 1.7.7 php.ini file, or just 'move in/restore' the php.ini from 1.7.3 ??? :shock:

or is it
C. - The php.ini file is exactly as it was when you installed 1.7.7???

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: error 1! on xampp 1.7.7. redhat

Postby chevalierhamg » 13. November 2011 04:08

Thanks for your answer JonB, in my case i did the upgrade and my php.ini is exactly the same that i had in 1.7.3, i dont remove the files the old version.

Now my question is....i have to reload the php.ini v- 1.7.7 o what settings must be changed for the correct funcionality... or its necessary remove the files for the upgrade? in that case, what files i must remove?...

Thanks again.
chevalierhamg
 
Posts: 4
Joined: 12. November 2011 19:35
Operating System: Red Hat Enterprise Linux Serve

Re: error 1! on xampp 1.7.7. redhat

Postby JonB » 13. November 2011 10:34

A. - what 'upgrade' ??? There isn't an upgrade package from 1.7.3 to 1.7.7 -

OR

B. - do you mean you uninstalled/removed 1.7.3 and then installed 1.7.7???

so, two answers -

If you installed 1.7.7 properly (B.), the answer is to use 'its' php.ini, and then make any needed adjustments.

If you did "A" - using the 'xampp-linux-upgrade-1.7.4-1.7.7.tar.gz'
following these instructions:
http://www.apachefriends.org/en/faq-xam ... ml#upgrade
I'm unsure what to do without a bit of thought.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: error 1! on xampp 1.7.7. redhat

Postby chevalierhamg » 17. November 2011 21:21

Thanks for your time, certainly isn't there an upgrade 1.7.3a to 1.7.7, so, i did an upgrade to 1.7.4 an then i had the same problem, then i did another upgrade from 1.4.4 to 1.7.7, but the error 1, keep in the system, i didn't remove my files from the old version including my php.ini(1.7.3.a), so, what its the problem with error 1, because i dont have another instance of apache or httpd running on my sistem.

I hope with that anyone have a idea from what's happennig.
Thanks a lot.
chevalierhamg
 
Posts: 4
Joined: 12. November 2011 19:35
Operating System: Red Hat Enterprise Linux Serve

Re: error 1! on xampp 1.7.7. redhat

Postby JonB » 17. November 2011 21:41

you gave your own answer -

i didn't remove my files from the old version including my php.ini -


"you can't do that" and expect the machine to work.

try using the php.ini file that came with the version that is currently installed, then modify it.


Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: error 1! on xampp 1.7.7. redhat

Postby chevalierhamg » 18. November 2011 02:27

well, thank you so much, i'm gonna replace my old php.ini, if doesn't work, I will bother you with a little help on that case.

Thanks.
chevalierhamg
 
Posts: 4
Joined: 12. November 2011 19:35
Operating System: Red Hat Enterprise Linux Serve

Re: error 1! on xampp 1.7.7. redhat

Postby JonB » 18. November 2011 03:08

OK, good -

I'm gonna mark this topic SOLVED - and if you have problems, start a new topic.

Thanks and good luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 2 guests